AssignNetworkInterfaceIpv6

1. API Description

This API (AssignNetworkInterfaceIpv6) is used to assign IPv6 to the vNIC.

circle-info

Note

  • vNIC state must be AVAILABLE or USED.

  • The vNIC stack type must be IPv4, and the associated subnet stack type must be IPv4_IPv6.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

ID of the vNIC.

internetChargeType

No

Network billing model.

See InternetChargeType for available values.

If the subnet stack type is IPv4_IPv6 and the IPv6 access type is Public , this value is required.

bandwidth

No

Integer

Outbound public network bandwidth cap (Mbps). Unit: Mbps.

The value differs with different instance types.

Value range: [1, +)

packageSize

No

Float

Traffic package size (TB). The unit is TB.

This value takes effect only when internetChargeType is set to ByTrafficPackage .

The default value is 0 . Maximum of one decimal place.

Value range: [0.0, +)

clusterId

No

String

The ID of the bandwidth cluster assigned to the public IPv6.

This parameter must be specified when the subnet's stack type includes public IPv6, and the network billing model is BandwidthCluster.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Assign IPv6 to the vNIC.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_NIC_IPV6_EXISTS

vNIC already has an IPv6 assigned; operation not allowed.

404

INVALID_NIC_NOT_FOUND

vNIC does not exist.

400

INVALID_NIC_STATUS

Current vNIC state does not allow this operation.

400

INVALID_PARAMETER_BANDWIDTH_ERROR

Bandwidth size is below the minimum limit.

400

INVALID_PARAMETER_BANDWIDTH_EXCEED

Bandwidth size exceeds the upper limit.

400

INVALID_PARAMETER_FLOW_TRAFFIC_PACKAGE

Data transfer package size is invalid.

400

INVALID_PARAMETER_TRAFFIC_PACKAGE_EXCEED

Data traffic package exceeds the maximum limit.

400

INVALID_SUBNET_IPSTACK_NOT_SUPPORT

Subnet IP stack type not supported.

409

INVALID_SUBNET_IPV6_INSUFFICIENT

Insufficient available IPv6 addresses in the subnet.

400

OPERATION_DENIED_INTERNET_CHARGE_TYPE_NOT_SUPPORT

IP network billing type is not supported.

400

OPERATION_DENIED_NIC_EXIST_IPV6

The vNIC already IPv6 assigned.

Last updated